JMIDE(4)

NAME
jmide - JMicron Technology JMB36x PCIe to SATA II/PATA controller driver

SYNOPSIS
jmide* at pci? dev ? function ? flags 0x0000
ahcisata* at jmide?

DESCRIPTION
The jmide driver supports the JMicron Technology JMB36x IDE controllers.

These PCI-e controllers exist in different flavors (1 or 2 PATA Ultra/133 ports and/or 1 or 2 SATA-II ports), and are highly flexible. The SATA ports can be attached to the integrated AHCI controller or attached to the PCI IDE channels in PATA emulation, in either single-drive emulation on each PCI IDE channels, or in master/slave emulation on one of the PCI IDE channels.

When enabled, the AHCI controller can either be on the PCI function 0 or function 2. The PCI IDE controller can also be on either PCI function, and can share the PCI function with AHCI. The jmide driver supports both the AHCI controller and PCI IDE controller in various configurations.

SEE ALSO
ahcisata(4), ata(4), atapi(4), intro(4), pci(4), pciide(4), wd(4), wdc(4)

AUTHORS
-nosplit The jmide driver was written by Manuel Bouyer.